Abstract class providing properties and methods common to all the project components

author | Andreas Aderhold
author | Hans Lellelid
version | $Id$
package | phing

### Methods

## Returns a reference to current project

    getProject() : \Project

### Returns

`\Project`Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level)

### Parameters

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## References the project to the current component.

    setProject(\Project $project)

### Parameters

#### $project

`\Project`

The reference to the current project

### Properties

##

    $project : \Project